package eu.teraflow.automation.device;

import eu.teraflow.automation.device.model.DeviceConfig;
import eu.teraflow.automation.device.model.DeviceId;
import io.smallrye.mutiny.Uni;

public interface DeviceGateway {
    Uni<DeviceConfig> getInitialConfiguration(DeviceId deviceId);

    Uni<DeviceId> configureDevice(Device device);
}
